Status: WIP Start date: 09/14/2012

Priority: Normal Due date:  

Assignee: Adrian Lungu % Done: 80%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 09/15/2012 12:46 PM - Adrian Lungu

The application is designed for 110x32 terminal size.

Finished the:

Welcome Screen

Data Management section(renamed to Information Database)

- main section menu

- chemical classification subsection (data display and export)

There are also some updates on default data format in the file ab.df.

committed into bazaar

#2 - 09/17/2012 02:47 PM - Adrian Lungu

- % Done changed from 0 to 30

Basic operation(add delete update) added for the table chemical-classification.

The refresh is not quite smooth since there are some unimplemented functions.

For delete and add operations I reopened the query instead of just deleting or adding a row in the browse widget. I missed here:

REFRESHABLE attribute for the BROWSE widget

DELETE-SELECTED-ROWS(), DELETE-SELECTED-ROW() or DELETE-CURRENT-ROW()

Committed into bazaar

#3 - 09/20/2012 03:13 PM - Adrian Lungu

- % Done changed from 30 to 80
all sections finished

committed into bazaar

#4 - 09/28/2012 04:40 PM - Adrian Lungu

Change requests from Greg on 09/20/2012 including resolution. Moved here from email.

I made some other changes to the project scripts.  The cvt.sh was made relative to the p2j directory as mentioned yesterday.  Also, I removed the .i

files from the file list.  They should not be present there unless those files are also external procedures (these aren't).  The preprocessor finds these in

the propath, not based on the command line.

1.

 Compare: (<)F:\chemtutor\chem - Orig.p (3019 bytes)

    with: (>)F:\chemtutor\chem.p (3016 bytes)

 24c24

 <   title1 colon 39

 ---

 >   title1 FORMAT "x(17)" colon 39

 

I think the goal here was to center the title: I changed this as :

2.

< title1 colon 31

> title1 format "x(17)" colon 32

 

 74c74

 <           "{&WINDOW-SYSTEM}" space " on " space "{&OPSYS}" skip(1)

 ---

 >           "{&WINDOW-SYSTEM} on {&OPSYS}" skip(1)

 

In the last version this was moved from the about box to chem-info.p. I made the change there.

3.

 Compare: (<)F:\chemtutor\chem-data - Orig.p (3313 bytes)

    with: (>)F:\chemtutor\chem-data.p (3316 bytes)

 109c109

 < end procedure /*enableall*/

 ---

 > end procedure. /*enableall*/

 116c116

 < end procedure /*disableall*/
 ---

 > end procedure. /*disableall*/

 123c123

 < end procedure /*hideeall*/

 ---

 > end procedure. /*hideeall*/

 

In the last version this was already fixed. I also deleted the comments as there are of not much use.

4.

 Compare: (<)F:\chemtutor\chem-pertable - Orig.p (11949 bytes)

    with: (>)F:\chemtutor\chem-pertable.p (11975 bytes)

 32c32

 <     element-name label "Name" colon 12 skip

 ---

 >     chemical-element.element-name label "Name" colon 12 skip

 367c367

 <     res = fill(" ",truncate( nrsp / 2 , 0)) + s.

 ---

 >     res = fill(" ",integer(truncate( nrsp / 2 , 0))) + s.

 

Fixed.

5.

 Compare: (<)F:\chemtutor\chem-view-element - Orig.p (3811 bytes)

    with: (>)F:\chemtutor\chem-view-element.p (3842 bytes)

 74,77c74,80

 < /*

 < display chemical-element c-affinity c-uncertainty

 <         c-protons c-neutrons c-phase c-atomic-mass with frame f-el.

 < */

 ---

 > 

 > display chemical-element with frame f-el.

 > 

 > display c-affinity c-uncertainty

 >         c-protons c-neutrons c-phase c-atomic-mass with frame f-el
 >         .

 >

In the last version this was moved in the chem-pertable.p file. I made the changes there(the display was uncommented but I also split it in two display

instructions).
